/*
 * Copyright 2013 Goldman Sachs.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This package contains Factory API for {@link com.gs.collections.api.factory.set.strategy.ImmutableHashingStrategySetFactory} and {@link com.gs.collections.api.factory.set.strategy.MutableHashingStrategySetFactory}.
 * <p>
 *     This package contains 2 interfaces:
 * <ul>
 *     <li>
 *          {@link com.gs.collections.api.factory.bag.ImmutableBagFactory} - Contains Hashing Strategy Factory API for {@link com.gs.collections.api.set.ImmutableSet}.
 *     </li>
 *     <li>
 *          {@link com.gs.collections.api.factory.bag.MutableBagFactory} - Contains Hashing Strategy Factory API for {@link com.gs.collections.api.set.MutableSet}.
 *     </li>
 * </ul>
 * </p>
 */
package com.gs.collections.api.factory.set.strategy;
