/*
 * Copyright 2013 Goldman Sachs.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This package contains implementations of {@link com.gs.collections.api.tuple.Pair} and {@link com.gs.collections.api.tuple.Twin}.
 * <p>
 *     A tuple is a container that holds two related objects.
 * </p>
 * <p>
 *     This package contains the following implementations:
 * <ul>
 *     <li>
 *          {@link com.gs.collections.impl.tuple.ImmutableEntry} - an immutable {@link java.util.Map.Entry}.
 *     </li>
 *     <li>
 *          {@link com.gs.collections.impl.tuple.PairImpl} - a container that holds two related objects.
 *     </li>
 *     <li>
 *          {@link com.gs.collections.impl.tuple.Tuples} - a container that holds two related objects.
 *     </li>
 *     <li>
 *          {@link com.gs.collections.impl.tuple.TwinImpl} - a convenience class for PairImpl, that has the same type for both items.
 *     </li>
 * </ul>
 * </p>
 */
package com.gs.collections.impl.tuple;
